Bug 438304 - Crashed with coredump
Crashed with coredump
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 06:30 EDT by Zdenek Kabelac
Modified: 2008-04-16 08:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 08:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-03-20 06:30:10 EDT
Description of problem:

Looks like my firefox3 crashed with this backtrace - unsure what was actually doing.

#0  0x000000353420efcb in raise () from /lib64/libpthread.so.0
Missing separate debuginfos, use: debuginfo-install GConf2.x86_64 ORBit2.x86_64
acl.x86_64 alsa-lib.x86_64 atk.x86_64 attr.x86_64 audiofile.x86_64 avahi.x86_64
bug-buddy.x86_64 cairo.x86_64 dbus-glib.x86_64 dbus.x86_64 e2fsprogs.x86_64
elfutils.x86_64 esound.x86_64 expat.x86_64 fontconfig.x86_64 freetype.x86_64
gail.x86_64 gamin.x86_64 gcc.x86_64 glib2.x86_64 glibc.x86_64
gnome-keyring.x86_64 gnome-vfs2.x86_64 gtk2-engines.x86_64 gtk2.x86_64
gvfs.x86_64 hal.x86_64 hunspell.x86_64 keyutils.x86_64 krb5.x86_64 lcms.x86_64
libICE.x86_64 libSM.x86_64 libX11.x86_64 libXScrnSaver.x86_64 libXau.x86_64
libXcomposite.x86_64 libXcursor.x86_64 libXdmcp.x86_64 libXext.x86_64
libXfixes.x86_64 libXft.x86_64 libXi.x86_64 libXinerama.x86_64 libXrandr.x86_64
libXrender.x86_64 libXt.x86_64 libart_lgpl.x86_64 libbonobo.x86_64
libbonoboui.x86_64 libcap.x86_64 libgnome.x86_64 libgnomecanvas.x86_64
libgnomeui.x86_64 libjpeg.x86_64 libpng.x86_64 libselinux.x86_64 libxcb.x86_64
libxml2.x86_64 nspr.x86_64 nss.x86_64 openssl.x86_64 pango.x86_64 pixman.x86_64
popt.x86_64 sqlite.x86_64 startup-notification.x86_64 zlib.x86_64
(gdb) bt
#0  0x000000353420efcb in raise () from /lib64/libpthread.so.0
#1  0x0000003f8fc2bb31 in nsProfileLock::FatalSignalHandler (signo=<value
optimized out>) at nsProfileLock.cpp:212
#2  <signal handler called>
#3  0x0000003f9065035f in ~nsCOMPtr_base (this=<value optimized out>) at
nsCOMPtr.cpp:81
#4  0x0000003f8fee3694 in ~nsAtomList (this=<value optimized out>) at
nsCSSStyleRule.cpp:157
#5  0x0000003f8fee3e4a in nsCSSSelector::Reset (this=<value optimized out>) at
nsCSSStyleRule.cpp:316
#6  0x0000003f8fee3f2c in ~nsCSSSelector (this=<value optimized out>) at
nsCSSStyleRule.cpp:306
#7  0x0000003f8fee3fb9 in ~nsCSSSelectorList (this=<value optimized out>) at
nsCSSStyleRule.cpp:693
#8  0x0000003f8fee4e8f in ~CSSStyleRuleImpl (this=<value optimized out>) at
nsCSSStyleRule.cpp:1248
#9  0x0000003f8fecfe6b in nsCSSRule::Release (this=<value optimized out>) at
nsCSSRule.cpp:64
#10 0x0000003f90650917 in ~nsCOMArray_base (this=<value optimized out>) at
nsCOMArray.cpp:61
#11 0x0000003f8fee93d6 in ~nsCSSStyleSheetInner (this=<value optimized out>) at
../../dist/include/xpcom/nsCOMArray.h:156
#12 0x0000003f8fee805f in ~nsCSSStyleSheet (this=<value optimized out>) at
nsCSSStyleSheet.cpp:722
#13 0x0000003f8fee640e in nsCSSStyleSheet::Release (this=<value optimized out>)
at nsCSSStyleSheet.cpp:746
#14 0x0000003f8ffef436 in nsStyleLinkElement::DoUpdateStyleSheet (this=<value
optimized out>, aOldDocument=<value optimized out>, 
    aObserver=<value optimized out>, aWillNotify=<value optimized out>,
aIsAlternate=<value optimized out>, aForceUpdate=<value optimized out>)
    at ../../../dist/include/xpcom/nsCOMPtr.h:713
#15 0x0000003f8ffef9d8 in nsStyleLinkElement::UpdateStyleSheetInternal
(this=<value optimized out>, aOldDocument=<value optimized out>, 
    aForceUpdate=<value optimized out>) at nsStyleLinkElement.cpp:213
#16 0x0000003f9007ee8a in nsHTMLStyleElement::UnbindFromTree (this=<value
optimized out>, aDeep=<value optimized out>, aNullParent=<value optimized out>)
    at nsHTMLStyleElement.cpp:253
#17 0x0000003f8ffc674e in nsGenericElement::UnbindFromTree (this=<value
optimized out>, aDeep=<value optimized out>, aNullParent=<value optimized out>)
    at nsGenericElement.cpp:2223
#18 0x0000003f90037023 in nsGenericHTMLElement::UnbindFromTree (this=<value
optimized out>, aDeep=<value optimized out>, aNullParent=<value optimized out>)
    at nsGenericHTMLElement.cpp:1169
#19 0x0000003f8ffc674e in nsGenericElement::UnbindFromTree (this=<value
optimized out>, aDeep=<value optimized out>, aNullParent=<value optimized out>)
    at nsGenericElement.cpp:2223
#20 0x0000003f90037023 in nsGenericHTMLElement::UnbindFromTree (this=<value
optimized out>, aDeep=<value optimized out>, aNullParent=<value optimized out>)
    at nsGenericHTMLElement.cpp:1169
#21 0x0000003f8ffab262 in nsDocument::cycleCollection::Unlink (this=<value
optimized out>, p=<value optimized out>) at nsDocument.cpp:1083
#22 0x0000003f906a211c in nsCycleCollector::CollectWhite (this=<value optimized
out>) at nsCycleCollector.cpp:1603
#23 0x0000003f906a219e in nsCycleCollector::FinishCollection (this=<value
optimized out>) at nsCycleCollector.cpp:2376
#24 0x0000003f8fc3430f in XPCCycleCollectGCCallback (cx=<value optimized out>,
status=<value optimized out>) at nsXPConnect.cpp:450
#25 0x0000003f91445fd8 in js_GC (cx=<value optimized out>, gckind=<value
optimized out>) at jsgc.c:3529
#26 0x0000003f8fc32b0b in nsXPConnect::Collect (this=<value optimized out>) at
nsXPConnect.cpp:526
#27 0x0000003f906a33e3 in nsCycleCollector::Collect (this=<value optimized out>,
aTryCollections=<value optimized out>) at nsCycleCollector.cpp:2192
#28 0x0000003f9014f6aa in nsJSContext::CC () at nsJSEnvironment.cpp:3345
#29 0x0000003f9014f773 in nsJSContext::MaybeCC (aHigherProbability=<value
optimized out>) at nsJSEnvironment.cpp:3396
#30 0x0000003f9014f95b in nsJSContext::Notify (this=<value optimized out>,
timer=<value optimized out>) at nsJSEnvironment.cpp:3437
#31 0x0000003f90697ec7 in nsTimerImpl::Fire (this=<value optimized out>) at
nsTimerImpl.cpp:403
#32 0x0000003f90698068 in nsTimerEvent::Run (this=<value optimized out>) at
nsTimerImpl.cpp:490
#33 0x0000003f90694af3 in nsThread::ProcessNextEvent (this=<value optimized
out>, mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:510
#34 0x0000003f906567e9 in NS_ProcessNextEvent_P (thread=<value optimized out>,
mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#35 0x0000003f905a059d in nsBaseAppShell::Run (this=<value optimized out>) at
nsBaseAppShell.cpp:164
#36 0x0000003f90415dde in nsAppStartup::Run (this=<value optimized out>) at
nsAppStartup.cpp:181
#37 0x0000003f8fc243ef in XRE_main (argc=<value optimized out>, argv=<value
optimized out>, aAppData=<value optimized out>) at nsAppRunner.cpp:3154
#38 0x00000000004016f0 in main (argc=1, argv=0x7fff4a179648) at nsXULStub.cpp:348


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-04-15 11:48:32 EDT
New firefox (0.54.beta5.fc9) uses system cairo, so we would need your restesting
all these bugs. Are you able to reproduce these bugs and could you attach new
backtraces, please, if yes.
Comment 2 Matěj Cepl 2008-04-16 08:46:12 EDT
Because it apparently is not possible to reproduce this bug in a predicable
manner, we are closing this as INSUFFICIENT_DATA. If you can tell us how to
reproduce this, please reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.